KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API4o Image API
Veo3.1 APIRunway APIFlux Kontext API
Suno API4o Image API
Veo3.1 APIRunway APIFlux Kontext API
  1. 4o Image API
  • 4o Image API Quickstart
  • 4o Image Generation Callbacks
  • Generate 4o Image
    POST
  • Get 4o Image Details
    GET
  • Get Direct Download URL
    POST
  1. 4o Image API

Generate 4o Image

POST
/api/v1/gpt4o-image/generate
Create a new 4o Image generation task. Generated images are stored for 14 days, after which they expire.

Callbacks

on4oImageGenerated

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/gpt4o-image/generate' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "filesUrl": [
    "https://example.com/image.png"
  ],
  "prompt": "A beautiful sunset over the mountains",
  "size": "1:1",
  "callBackUrl": "https://your-callback-url.com/callback"
}'
Response Response Example
200 - 成功示例
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "task12345"
    }
}
Previous
4o Image Generation Callbacks
Next
Get 4o Image Details
Built with